GBP-IMPORT-DSC(1)

NAME
git-import-dsc, gbp-import-dsc - Import Debian packages into a Git repository

SYNOPSIS

gbp import-dsc [ --verbose ] [ --upstream-branch=branch_name ] [ --debian-branch=branch_name ] [ --[no-]sign-tags ] [ --keyid=gpg-keyid ] [ --debian-tag=tag-format ] [ --upstream-tag=tag-format ] [ --skip-debian-tag= ] [ --filter=pattern ] [ --[no-]pristine-tar ] [ --download ] [ --allow-same-versions ] [ --author-is-committer ] [ --author-date-is-committer-date ] debian-source.dsc

gbp import-dsc [ options ] --download [ --[no-]allow-unauthenticated ] URL | source-package

DESCRIPTION

gbp import-dsc imports a Debian source package into a Git repository, notes the package version in the commit logs, and commits the change. All information, including package name, version, Debian diffs, and upstream source is automatically detected from the source package.

OPTIONS

--upstream-branch=branch_name
    The branch in the Git repository the upstream sources are put onto. Default is upstream.

--debian-branch=branch_name
    The branch in the Git repository the debian sources are put onto. Default is master.

--verbose

-v  verbose execution

--[no-]sign-tags
    GPG sign all created tags

--keyid=gpg-keyid
    use this keyid for gpg signing tags

--debian-tag=tag-format
    use this tag format when tagging Debian versions, default is debian/%(version)s

--upstream-tag=tag-format
    use this tag format when tagging upstream versions, default is upstream/%(version)s

--skip-debian-tag
    Don't create Debian tag after importing the Debian patch. This can be useful if you already created a package but want to further work on it after importing it into git.

--filter=pattern
    filter out files glob-matching pattern. Can be given multiple times.

--pristine-tar
    generate pristine-tar delta file

--download
    Download the source package instead of looking for it in the local file system. The argument can either be a source-package name or an URL. The former uses apt-get to download the source while the later uses dget.

--allow-unauthenticated
    Whether to skip signature verification on downloads.

--allow-same-version
    Allow to import a package with the same debian version.

--author-is-committer
    When importing the Debian patch, use the author identity as comitter identity.

--author-date-is-committer-date
    When importing the Debian patch, use the author date as comitter date.

    Warning: Git will subtly misbehave if the committer date of a commit is not later than or equal to all its parents.

CONFIGURATION FILES

Several gbp.conf files are parsed to set defaults for the above commandline arguments. See the gbp.conf(5) manpage for details.

SEE ALSO

gbp-import-dscs(1), gbp-buildpackage(1), gbp-import-orig(1), gbp-dch(1), apt-get(1), dget(1), gbp.conf(5), debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual <URL:file:///usr/share/doc/git-buildpackage/manual-html/index.html>

AUTHOR

Guido Guenther <agx@sigxcpu.org>